#ifndef xl_cheeselooks_DRAW_H
#define xl_cheeselooks_DRAW_H

#include "xl_cheeselooks_types.h"
#include "xl_cheeselooks_style.h"

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include <cairo.h>

GE_INTERNAL void xl_cheeselooks_register_style_classic (xl_cheeselooksStyleFunctions *functions);
GE_INTERNAL void xl_cheeselooks_register_style_glossy (xl_cheeselooksStyleFunctions *functions);
GE_INTERNAL void xl_cheeselooks_register_style_gummy (xl_cheeselooksStyleFunctions *functions);
GE_INTERNAL void xl_cheeselooks_register_style_dark (xl_cheeselooksStyleFunctions *functions);

/* Fallback focus function */
GE_INTERNAL void xl_cheeselooks_draw_focus (cairo_t *cr,
                                        const xl_cheeselooksColors *colors,
                                        const WidgetParameters *widget,
                                        const FocusParameters  *focus,
                                        int x, int y, int width, int height);

#endif /* xl_cheeselooks_DRAW_H */
